#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSGroupingRule" "\0"
  /*   965 */ "CSSImportRule" "\0"
  /*   979 */ "CSSKeyframeRule" "\0"
  /*   995 */ "CSSKeyframesRule" "\0"
  /*  1012 */ "CSSLayerBlockRule" "\0"
  /*  1030 */ "CSSLayerStatementRule" "\0"
  /*  1052 */ "CSSMediaRule" "\0"
  /*  1065 */ "CSSMozDocumentRule" "\0"
  /*  1084 */ "CSSNamespaceRule" "\0"
  /*  1101 */ "CSSPageRule" "\0"
  /*  1113 */ "CSSPseudoElement" "\0"
  /*  1130 */ "CSSRule" "\0"
  /*  1138 */ "CSSRuleList" "\0"
  /*  1150 */ "CSSScrollTimelineRule" "\0"
  /*  1172 */ "CSSStyleDeclaration" "\0"
  /*  1192 */ "CSSStyleRule" "\0"
  /*  1205 */ "CSSStyleSheet" "\0"
  /*  1219 */ "CSSSupportsRule" "\0"
  /*  1235 */ "CSSTransition" "\0"
  /*  1249 */ "Cache" "\0"
  /*  1255 */ "CacheStorage" "\0"
  /*  1268 */ "CallbackDebuggerNotification" "\0"
  /*  1297 */ "CanonicalBrowsingContext" "\0"
  /*  1322 */ "CanvasCaptureMediaStream" "\0"
  /*  1347 */ "CanvasGradient" "\0"
  /*  1362 */ "CanvasPattern" "\0"
  /*  1376 */ "CanvasRenderingContext2D" "\0"
  /*  1401 */ "CaretPosition" "\0"
  /*  1415 */ "CaretStateChangedEvent" "\0"
  /*  1438 */ "ChannelMergerNode" "\0"
  /*  1456 */ "ChannelSplitterNode" "\0"
  /*  1476 */ "ChannelWrapper" "\0"
  /*  1491 */ "CharacterData" "\0"
  /*  1505 */ "CheckerboardReportService" "\0"
  /*  1531 */ "ChildProcessMessageManager" "\0"
  /*  1558 */ "ChildSHistory" "\0"
  /*  1572 */ "ChromeMessageBroadcaster" "\0"
  /*  1597 */ "ChromeMessageSender" "\0"
  /*  1617 */ "ChromeNodeList" "\0"
  /*  1632 */ "ChromeUtils" "\0"
  /*  1644 */ "ChromeWorker" "\0"
  /*  1657 */ "Client" "\0"
  /*  1664 */ "Clients" "\0"
  /*  1672 */ "Clipboard" "\0"
  /*  1682 */ "ClipboardEvent" "\0"
  /*  1697 */ "ClipboardItem" "\0"
  /*  1711 */ "ClonedErrorHolder" "\0"
  /*  1729 */ "CloseEvent" "\0"
  /*  1740 */ "CommandEvent" "\0"
  /*  1753 */ "Comment" "\0"
  /*  1761 */ "CompositionEvent" "\0"
  /*  1778 */ "ConsoleInstance" "\0"
  /*  1794 */ "ConstantSourceNode" "\0"
  /*  1813 */ "ContentFrameMessageManager" "\0"
  /*  1840 */ "ContentProcessMessageManager" "\0"
  /*  1869 */ "ConvolverNode" "\0"
  /*  1883 */ "CountQueuingStrategy" "\0"
  /*  1904 */ "CreateOfferRequest" "\0"
  /*  1923 */ "Credential" "\0"
  /*  1934 */ "CredentialsContainer" "\0"
  /*  1955 */ "Crypto" "\0"
  /*  1962 */ "CryptoKey" "\0"
  /*  1972 */ "CustomElementRegistry" "\0"
  /*  1994 */ "CustomEvent" "\0"
  /*  2006 */ "DOMException" "\0"
  /*  2019 */ "DOMImplementation" "\0"
  /*  2037 */ "DOMLocalization" "\0"
  /*  2053 */ "DOMMatrix" "\0"
  /*  2063 */ "DOMMatrixReadOnly" "\0"
  /*  2081 */ "DOMParser" "\0"
  /*  2091 */ "DOMPoint" "\0"
  /*  2100 */ "DOMPointReadOnly" "\0"
  /*  2117 */ "DOMQuad" "\0"
  /*  2125 */ "DOMRect" "\0"
  /*  2133 */ "DOMRectList" "\0"
  /*  2145 */ "DOMRectReadOnly" "\0"
  /*  2161 */ "DOMRequest" "\0"
  /*  2172 */ "DOMStringList" "\0"
  /*  2186 */ "DOMStringMap" "\0"
  /*  2199 */ "DOMTokenList" "\0"
  /*  2212 */ "DataTransfer" "\0"
  /*  2225 */ "DataTransferItem" "\0"
  /*  2242 */ "DataTransferItemList" "\0"
  /*  2263 */ "DebuggerNotification" "\0"
  /*  2284 */ "DebuggerNotificationObserver" "\0"
  /*  2313 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2340 */ "DelayNode" "\0"
  /*  2350 */ "DeprecationReportBody" "\0"
  /*  2372 */ "DeviceAcceleration" "\0"
  /*  2391 */ "DeviceLightEvent" "\0"
  /*  2408 */ "DeviceMotionEvent" "\0"
  /*  2426 */ "DeviceOrientationEvent" "\0"
  /*  2449 */ "DeviceRotationRate" "\0"
  /*  2468 */ "Directory" "\0"
  /*  2478 */ "Document" "\0"
  /*  2487 */ "DocumentFragment" "\0"
  /*  2504 */ "DocumentL10n" "\0"
  /*  2517 */ "DocumentTimeline" "\0"
  /*  2534 */ "DocumentType" "\0"
  /*  2547 */ "DominatorTree" "\0"
  /*  2561 */ "DragEvent" "\0"
  /*  2571 */ "DynamicsCompressorNode" "\0"
  /*  2594 */ "EXT_blend_minmax" "\0"
  /*  2611 */ "EXT_color_buffer_float" "\0"
  /*  2634 */ "EXT_color_buffer_half_float" "\0"
  /*  2662 */ "EXT_disjoint_timer_query" "\0"
  /*  2687 */ "EXT_float_blend" "\0"
  /*  2703 */ "EXT_frag_depth" "\0"
  /*  2718 */ "EXT_sRGB" "\0"
  /*  2727 */ "EXT_shader_texture_lod" "\0"
  /*  2750 */ "EXT_texture_compression_bptc" "\0"
  /*  2779 */ "EXT_texture_compression_rgtc" "\0"
  /*  2808 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2839 */ "EXT_texture_norm16" "\0"
  /*  2858 */ "Element" "\0"
  /*  2866 */ "ElementInternals" "\0"
  /*  2883 */ "ErrorEvent" "\0"
  /*  2894 */ "Event" "\0"
  /*  2900 */ "EventCallbackDebuggerNotification" "\0"
  /*  2934 */ "EventCounts" "\0"
  /*  2946 */ "EventSource" "\0"
  /*  2958 */ "EventTarget" "\0"
  /*  2970 */ "Exception" "\0"
  /*  2980 */ "ExtendableEvent" "\0"
  /*  2996 */ "ExtendableMessageEvent" "\0"
  /*  3019 */ "ExtensionAlarms" "\0"
  /*  3035 */ "ExtensionBrowser" "\0"
  /*  3052 */ "ExtensionEventManager" "\0"
  /*  3074 */ "ExtensionMockAPI" "\0"
  /*  3091 */ "ExtensionPort" "\0"
  /*  3105 */ "ExtensionRuntime" "\0"
  /*  3122 */ "ExtensionTest" "\0"
  /*  3136 */ "External" "\0"
  /*  3145 */ "FeaturePolicy" "\0"
  /*  3159 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3192 */ "FetchEvent" "\0"
  /*  3203 */ "FetchObserver" "\0"
  /*  3217 */ "File" "\0"
  /*  3222 */ "FileList" "\0"
  /*  3231 */ "FileReader" "\0"
  /*  3242 */ "FileReaderSync" "\0"
  /*  3257 */ "FileSystem" "\0"
  /*  3268 */ "FileSystemDirectoryEntry" "\0"
  /*  3293 */ "FileSystemDirectoryHandle" "\0"
  /*  3319 */ "FileSystemDirectoryIterator" "\0"
  /*  3347 */ "FileSystemDirectoryReader" "\0"
  /*  3373 */ "FileSystemEntry" "\0"
  /*  3389 */ "FileSystemFileEntry" "\0"
  /*  3409 */ "FileSystemFileHandle" "\0"
  /*  3430 */ "FileSystemHandle" "\0"
  /*  3447 */ "FileSystemSyncAccessHandle" "\0"
  /*  3474 */ "FileSystemWritableFileStream" "\0"
  /*  3503 */ "Flex" "\0"
  /*  3508 */ "FlexItemValues" "\0"
  /*  3523 */ "FlexLineValues" "\0"
  /*  3538 */ "FluentBundle" "\0"
  /*  3551 */ "FluentBundleAsyncIterator" "\0"
  /*  3577 */ "FluentBundleIterator" "\0"
  /*  3598 */ "FluentPattern" "\0"
  /*  3612 */ "FluentResource" "\0"
  /*  3627 */ "FocusEvent" "\0"
  /*  3638 */ "FontFace" "\0"
  /*  3647 */ "FontFaceSet" "\0"
  /*  3659 */ "FontFaceSetIterator" "\0"
  /*  3679 */ "FontFaceSetLoadEvent" "\0"
  /*  3700 */ "FormData" "\0"
  /*  3709 */ "FormData Iterator" "\0"
  /*  3727 */ "FormDataEvent" "\0"
  /*  3741 */ "FrameCrashedEvent" "\0"
  /*  3759 */ "FrameLoader" "\0"
  /*  3771 */ "GPU" "\0"
  /*  3775 */ "GPUAdapter" "\0"
  /*  3786 */ "GPUBindGroup" "\0"
  /*  3799 */ "GPUBindGroupLayout" "\0"
  /*  3818 */ "GPUBuffer" "\0"
  /*  3828 */ "GPUBufferUsage" "\0"
  /*  3843 */ "GPUCanvasContext" "\0"
  /*  3860 */ "GPUColorWrite" "\0"
  /*  3874 */ "GPUCommandBuffer" "\0"
  /*  3891 */ "GPUCommandEncoder" "\0"
  /*  3909 */ "GPUCompilationInfo" "\0"
  /*  3928 */ "GPUCompilationMessage" "\0"
  /*  3950 */ "GPUComputePassEncoder" "\0"
  /*  3972 */ "GPUComputePipeline" "\0"
  /*  3991 */ "GPUDevice" "\0"
  /*  4001 */ "GPUDeviceLostInfo" "\0"
  /*  4019 */ "GPUMapMode" "\0"
  /*  4030 */ "GPUOutOfMemoryError" "\0"
  /*  4050 */ "GPUPipelineLayout" "\0"
  /*  4068 */ "GPUQuerySet" "\0"
  /*  4080 */ "GPUQueue" "\0"
  /*  4089 */ "GPURenderBundle" "\0"
  /*  4105 */ "GPURenderBundleEncoder" "\0"
  /*  4128 */ "GPURenderPassEncoder" "\0"
  /*  4149 */ "GPURenderPipeline" "\0"
  /*  4167 */ "GPUSampler" "\0"
  /*  4178 */ "GPUShaderModule" "\0"
  /*  4194 */ "GPUShaderStage" "\0"
  /*  4209 */ "GPUSupportedFeatures" "\0"
  /*  4230 */ "GPUSupportedLimits" "\0"
  /*  4249 */ "GPUTexture" "\0"
  /*  4260 */ "GPUTextureUsage" "\0"
  /*  4276 */ "GPUTextureView" "\0"
  /*  4291 */ "GPUUncapturedErrorEvent" "\0"
  /*  4315 */ "GPUValidationError" "\0"
  /*  4334 */ "GainNode" "\0"
  /*  4343 */ "Gamepad" "\0"
  /*  4351 */ "GamepadAxisMoveEvent" "\0"
  /*  4372 */ "GamepadButton" "\0"
  /*  4386 */ "GamepadButtonEvent" "\0"
  /*  4405 */ "GamepadEvent" "\0"
  /*  4418 */ "GamepadHapticActuator" "\0"
  /*  4440 */ "GamepadLightIndicator" "\0"
  /*  4462 */ "GamepadPose" "\0"
  /*  4474 */ "GamepadServiceTest" "\0"
  /*  4493 */ "GamepadTouch" "\0"
  /*  4506 */ "Geolocation" "\0"
  /*  4518 */ "GeolocationCoordinates" "\0"
  /*  4541 */ "GeolocationPosition" "\0"
  /*  4561 */ "GeolocationPositionError" "\0"
  /*  4586 */ "GetUserMediaRequest" "\0"
  /*  4606 */ "GleanCategory" "\0"
  /*  4620 */ "GleanImpl" "\0"
  /*  4630 */ "GleanLabeled" "\0"
  /*  4643 */ "GleanPingsImpl" "\0"
  /*  4658 */ "Grid" "\0"
  /*  4663 */ "GridArea" "\0"
  /*  4672 */ "GridDimension" "\0"
  /*  4686 */ "GridLine" "\0"
  /*  4695 */ "GridLines" "\0"
  /*  4705 */ "GridTrack" "\0"
  /*  4715 */ "GridTracks" "\0"
  /*  4726 */ "HTMLAllCollection" "\0"
  /*  4744 */ "HTMLAnchorElement" "\0"
  /*  4762 */ "HTMLAreaElement" "\0"
  /*  4778 */ "HTMLAudioElement" "\0"
  /*  4795 */ "HTMLBRElement" "\0"
  /*  4809 */ "HTMLBaseElement" "\0"
  /*  4825 */ "HTMLBodyElement" "\0"
  /*  4841 */ "HTMLButtonElement" "\0"
  /*  4859 */ "HTMLCanvasElement" "\0"
  /*  4877 */ "HTMLCollection" "\0"
  /*  4892 */ "HTMLDListElement" "\0"
  /*  4909 */ "HTMLDataElement" "\0"
  /*  4925 */ "HTMLDataListElement" "\0"
  /*  4945 */ "HTMLDetailsElement" "\0"
  /*  4964 */ "HTMLDialogElement" "\0"
  /*  4982 */ "HTMLDirectoryElement" "\0"
  /*  5003 */ "HTMLDivElement" "\0"
  /*  5018 */ "HTMLDocument" "\0"
  /*  5031 */ "HTMLElement" "\0"
  /*  5043 */ "HTMLEmbedElement" "\0"
  /*  5060 */ "HTMLFieldSetElement" "\0"
  /*  5080 */ "HTMLFontElement" "\0"
  /*  5096 */ "HTMLFormControlsCollection" "\0"
  /*  5123 */ "HTMLFormElement" "\0"
  /*  5139 */ "HTMLFrameElement" "\0"
  /*  5156 */ "HTMLFrameSetElement" "\0"
  /*  5176 */ "HTMLHRElement" "\0"
  /*  5190 */ "HTMLHeadElement" "\0"
  /*  5206 */ "HTMLHeadingElement" "\0"
  /*  5225 */ "HTMLHtmlElement" "\0"
  /*  5241 */ "HTMLIFrameElement" "\0"
  /*  5259 */ "HTMLImageElement" "\0"
  /*  5276 */ "HTMLInputElement" "\0"
  /*  5293 */ "HTMLLIElement" "\0"
  /*  5307 */ "HTMLLabelElement" "\0"
  /*  5324 */ "HTMLLegendElement" "\0"
  /*  5342 */ "HTMLLinkElement" "\0"
  /*  5358 */ "HTMLMapElement" "\0"
  /*  5373 */ "HTMLMarqueeElement" "\0"
  /*  5392 */ "HTMLMediaElement" "\0"
  /*  5409 */ "HTMLMenuElement" "\0"
  /*  5425 */ "HTMLMenuItemElement" "\0"
  /*  5445 */ "HTMLMetaElement" "\0"
  /*  5461 */ "HTMLMeterElement" "\0"
  /*  5478 */ "HTMLModElement" "\0"
  /*  5493 */ "HTMLOListElement" "\0"
  /*  5510 */ "HTMLObjectElement" "\0"
  /*  5528 */ "HTMLOptGroupElement" "\0"
  /*  5548 */ "HTMLOptionElement" "\0"
  /*  5566 */ "HTMLOptionsCollection" "\0"
  /*  5588 */ "HTMLOutputElement" "\0"
  /*  5606 */ "HTMLParagraphElement" "\0"
  /*  5627 */ "HTMLParamElement" "\0"
  /*  5644 */ "HTMLPictureElement" "\0"
  /*  5663 */ "HTMLPreElement" "\0"
  /*  5678 */ "HTMLProgressElement" "\0"
  /*  5698 */ "HTMLQuoteElement" "\0"
  /*  5715 */ "HTMLScriptElement" "\0"
  /*  5733 */ "HTMLSelectElement" "\0"
  /*  5751 */ "HTMLSlotElement" "\0"
  /*  5767 */ "HTMLSourceElement" "\0"
  /*  5785 */ "HTMLSpanElement" "\0"
  /*  5801 */ "HTMLStyleElement" "\0"
  /*  5818 */ "HTMLTableCaptionElement" "\0"
  /*  5842 */ "HTMLTableCellElement" "\0"
  /*  5863 */ "HTMLTableColElement" "\0"
  /*  5883 */ "HTMLTableElement" "\0"
  /*  5900 */ "HTMLTableRowElement" "\0"
  /*  5920 */ "HTMLTableSectionElement" "\0"
  /*  5944 */ "HTMLTemplateElement" "\0"
  /*  5964 */ "HTMLTextAreaElement" "\0"
  /*  5984 */ "HTMLTimeElement" "\0"
  /*  6000 */ "HTMLTitleElement" "\0"
  /*  6017 */ "HTMLTrackElement" "\0"
  /*  6034 */ "HTMLUListElement" "\0"
  /*  6051 */ "HTMLUnknownElement" "\0"
  /*  6070 */ "HTMLVideoElement" "\0"
  /*  6087 */ "HashChangeEvent" "\0"
  /*  6103 */ "Headers" "\0"
  /*  6111 */ "Headers Iterator" "\0"
  /*  6128 */ "HeapSnapshot" "\0"
  /*  6141 */ "History" "\0"
  /*  6149 */ "IDBCursor" "\0"
  /*  6159 */ "IDBCursorWithValue" "\0"
  /*  6178 */ "IDBDatabase" "\0"
  /*  6190 */ "IDBFactory" "\0"
  /*  6201 */ "IDBFileHandle" "\0"
  /*  6215 */ "IDBFileRequest" "\0"
  /*  6230 */ "IDBIndex" "\0"
  /*  6239 */ "IDBKeyRange" "\0"
  /*  6251 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6274 */ "IDBMutableFile" "\0"
  /*  6289 */ "IDBObjectStore" "\0"
  /*  6304 */ "IDBOpenDBRequest" "\0"
  /*  6321 */ "IDBRequest" "\0"
  /*  6332 */ "IDBTransaction" "\0"
  /*  6347 */ "IDBVersionChangeEvent" "\0"
  /*  6369 */ "IIRFilterNode" "\0"
  /*  6383 */ "IOUtils" "\0"
  /*  6391 */ "IdleDeadline" "\0"
  /*  6404 */ "Image" "\0"
  /*  6410 */ "ImageBitmap" "\0"
  /*  6422 */ "ImageBitmapRenderingContext" "\0"
  /*  6450 */ "ImageCapture" "\0"
  /*  6463 */ "ImageCaptureError" "\0"
  /*  6481 */ "ImageCaptureErrorEvent" "\0"
  /*  6504 */ "ImageData" "\0"
  /*  6514 */ "ImageDocument" "\0"
  /*  6528 */ "InputEvent" "\0"
  /*  6539 */ "InspectorFontFace" "\0"
  /*  6557 */ "InspectorUtils" "\0"
  /*  6572 */ "InstallTriggerImpl" "\0"
  /*  6591 */ "IntersectionObserver" "\0"
  /*  6612 */ "IntersectionObserverEntry" "\0"
  /*  6638 */ "IntlUtils" "\0"
  /*  6648 */ "JSProcessActorChild" "\0"
  /*  6668 */ "JSProcessActorParent" "\0"
  /*  6689 */ "JSWindowActorChild" "\0"
  /*  6708 */ "JSWindowActorParent" "\0"
  /*  6728 */ "KeyEvent" "\0"
  /*  6737 */ "KeyboardEvent" "\0"
  /*  6751 */ "KeyframeEffect" "\0"
  /*  6766 */ "L10nFileSource" "\0"
  /*  6781 */ "L10nOverlays" "\0"
  /*  6794 */ "L10nRegistry" "\0"
  /*  6807 */ "LegacyMozTCPSocket" "\0"
  /*  6826 */ "Localization" "\0"
  /*  6839 */ "Location" "\0"
  /*  6848 */ "Lock" "\0"
  /*  6853 */ "LockManager" "\0"
  /*  6865 */ "MIDIAccess" "\0"
  /*  6876 */ "MIDIConnectionEvent" "\0"
  /*  6896 */ "MIDIInput" "\0"
  /*  6906 */ "MIDIInputMap" "\0"
  /*  6919 */ "MIDIMessageEvent" "\0"
  /*  6936 */ "MIDIOutput" "\0"
  /*  6947 */ "MIDIOutputMap" "\0"
  /*  6961 */ "MIDIPort" "\0"
  /*  6970 */ "MOZ_debug" "\0"
  /*  6980 */ "MatchGlob" "\0"
  /*  6990 */ "MatchPattern" "\0"
  /*  7003 */ "MatchPatternSet" "\0"
  /*  7019 */ "MathMLElement" "\0"
  /*  7033 */ "MediaCapabilities" "\0"
  /*  7051 */ "MediaCapabilitiesInfo" "\0"
  /*  7073 */ "MediaControlService" "\0"
  /*  7093 */ "MediaController" "\0"
  /*  7109 */ "MediaDeviceInfo" "\0"
  /*  7125 */ "MediaDevices" "\0"
  /*  7138 */ "MediaElementAudioSourceNode" "\0"
  /*  7166 */ "MediaEncryptedEvent" "\0"
  /*  7186 */ "MediaError" "\0"
  /*  7197 */ "MediaKeyError" "\0"
  /*  7211 */ "MediaKeyMessageEvent" "\0"
  /*  7232 */ "MediaKeySession" "\0"
  /*  7248 */ "MediaKeyStatusMap" "\0"
  /*  7266 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7293 */ "MediaKeySystemAccess" "\0"
  /*  7314 */ "MediaKeys" "\0"
  /*  7324 */ "MediaList" "\0"
  /*  7334 */ "MediaMetadata" "\0"
  /*  7348 */ "MediaQueryList" "\0"
  /*  7363 */ "MediaQueryListEvent" "\0"
  /*  7383 */ "MediaRecorder" "\0"
  /*  7397 */ "MediaRecorderErrorEvent" "\0"
  /*  7421 */ "MediaSession" "\0"
  /*  7434 */ "MediaSource" "\0"
  /*  7446 */ "MediaStream" "\0"
  /*  7458 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7490 */ "MediaStreamAudioSourceNode" "\0"
  /*  7517 */ "MediaStreamError" "\0"
  /*  7534 */ "MediaStreamEvent" "\0"
  /*  7551 */ "MediaStreamTrack" "\0"
  /*  7568 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7600 */ "MediaStreamTrackEvent" "\0"
  /*  7622 */ "MerchantValidationEvent" "\0"
  /*  7646 */ "MessageBroadcaster" "\0"
  /*  7665 */ "MessageChannel" "\0"
  /*  7680 */ "MessageEvent" "\0"
  /*  7693 */ "MessageListenerManager" "\0"
  /*  7716 */ "MessagePort" "\0"
  /*  7728 */ "MessageSender" "\0"
  /*  7742 */ "MimeType" "\0"
  /*  7751 */ "MimeTypeArray" "\0"
  /*  7765 */ "MouseEvent" "\0"
  /*  7776 */ "MouseScrollEvent" "\0"
  /*  7793 */ "MozCanvasPrintState" "\0"
  /*  7813 */ "MozDocumentMatcher" "\0"
  /*  7832 */ "MozDocumentObserver" "\0"
  /*  7852 */ "MozQueryInterface" "\0"
  /*  7870 */ "MozSharedMap" "\0"
  /*  7883 */ "MozSharedMap Iterator" "\0"
  /*  7905 */ "MozSharedMapChangeEvent" "\0"
  /*  7929 */ "MozStorageAsyncStatementParams" "\0"
  /*  7960 */ "MozStorageStatementParams" "\0"
  /*  7986 */ "MozStorageStatementRow" "\0"
  /*  8009 */ "MozWritableSharedMap" "\0"
  /*  8030 */ "MutationEvent" "\0"
  /*  8044 */ "MutationObserver" "\0"
  /*  8061 */ "MutationRecord" "\0"
  /*  8076 */ "NamedNodeMap" "\0"
  /*  8089 */ "NavigationPreloadManager" "\0"
  /*  8114 */ "Navigator" "\0"
  /*  8124 */ "NetworkInformation" "\0"
  /*  8143 */ "Node" "\0"
  /*  8148 */ "NodeFilter" "\0"
  /*  8159 */ "NodeIterator" "\0"
  /*  8172 */ "NodeList" "\0"
  /*  8181 */ "Notification" "\0"
  /*  8194 */ "NotificationEvent" "\0"
  /*  8212 */ "NotifyPaintEvent" "\0"
  /*  8229 */ "OES_draw_buffers_indexed" "\0"
  /*  8254 */ "OES_element_index_uint" "\0"
  /*  8277 */ "OES_fbo_render_mipmap" "\0"
  /*  8299 */ "OES_standard_derivatives" "\0"
  /*  8324 */ "OES_texture_float" "\0"
  /*  8342 */ "OES_texture_float_linear" "\0"
  /*  8367 */ "OES_texture_half_float" "\0"
  /*  8390 */ "OES_texture_half_float_linear" "\0"
  /*  8420 */ "OES_vertex_array_object" "\0"
  /*  8444 */ "OVR_multiview2" "\0"
  /*  8459 */ "OfflineAudioCompletionEvent" "\0"
  /*  8487 */ "OfflineAudioContext" "\0"
  /*  8507 */ "OfflineResourceList" "\0"
  /*  8527 */ "OffscreenCanvas" "\0"
  /*  8543 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8577 */ "OnlyForUseInConstructor" "\0"
  /*  8601 */ "Option" "\0"
  /*  8608 */ "OscillatorNode" "\0"
  /*  8623 */ "PageTransitionEvent" "\0"
  /*  8643 */ "PaintRequest" "\0"
  /*  8656 */ "PaintRequestList" "\0"
  /*  8673 */ "PaintWorkletGlobalScope" "\0"
  /*  8697 */ "PannerNode" "\0"
  /*  8708 */ "ParentProcessMessageManager" "\0"
  /*  8736 */ "Path2D" "\0"
  /*  8743 */ "PathUtils" "\0"
  /*  8753 */ "PaymentAddress" "\0"
  /*  8768 */ "PaymentMethodChangeEvent" "\0"
  /*  8793 */ "PaymentRequest" "\0"
  /*  8808 */ "PaymentRequestUpdateEvent" "\0"
  /*  8834 */ "PaymentResponse" "\0"
  /*  8850 */ "Performance" "\0"
  /*  8862 */ "PerformanceEntry" "\0"
  /*  8879 */ "PerformanceEntryEvent" "\0"
  /*  8901 */ "PerformanceEventTiming" "\0"
  /*  8924 */ "PerformanceMark" "\0"
  /*  8940 */ "PerformanceMeasure" "\0"
  /*  8959 */ "PerformanceNavigation" "\0"
  /*  8981 */ "PerformanceNavigationTiming" "\0"
  /*  9009 */ "PerformanceObserver" "\0"
  /*  9029 */ "PerformanceObserverEntryList" "\0"
  /*  9058 */ "PerformancePaintTiming" "\0"
  /*  9081 */ "PerformanceResourceTiming" "\0"
  /*  9107 */ "PerformanceServerTiming" "\0"
  /*  9131 */ "PerformanceTiming" "\0"
  /*  9149 */ "PeriodicWave" "\0"
  /*  9162 */ "PermissionStatus" "\0"
  /*  9179 */ "Permissions" "\0"
  /*  9191 */ "PlacesBookmark" "\0"
  /*  9206 */ "PlacesBookmarkAddition" "\0"
  /*  9229 */ "PlacesBookmarkChanged" "\0"
  /*  9251 */ "PlacesBookmarkGuid" "\0"
  /*  9270 */ "PlacesBookmarkMoved" "\0"
  /*  9290 */ "PlacesBookmarkRemoved" "\0"
  /*  9312 */ "PlacesBookmarkTags" "\0"
  /*  9331 */ "PlacesBookmarkTime" "\0"
  /*  9350 */ "PlacesBookmarkTitle" "\0"
  /*  9370 */ "PlacesBookmarkUrl" "\0"
  /*  9388 */ "PlacesEvent" "\0"
  /*  9400 */ "PlacesFavicon" "\0"
  /*  9414 */ "PlacesHistoryCleared" "\0"
  /*  9435 */ "PlacesObservers" "\0"
  /*  9451 */ "PlacesPurgeCaches" "\0"
  /*  9469 */ "PlacesRanking" "\0"
  /*  9483 */ "PlacesVisit" "\0"
  /*  9495 */ "PlacesVisitRemoved" "\0"
  /*  9514 */ "PlacesVisitTitle" "\0"
  /*  9531 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9557 */ "Plugin" "\0"
  /*  9564 */ "PluginArray" "\0"
  /*  9576 */ "PluginCrashedEvent" "\0"
  /*  9595 */ "PointerEvent" "\0"
  /*  9608 */ "PopStateEvent" "\0"
  /*  9622 */ "PopupBlockedEvent" "\0"
  /*  9640 */ "PopupPositionedEvent" "\0"
  /*  9661 */ "PositionStateEvent" "\0"
  /*  9680 */ "PrecompiledScript" "\0"
  /*  9698 */ "PrioEncoder" "\0"
  /*  9710 */ "ProcessMessageManager" "\0"
  /*  9732 */ "ProcessingInstruction" "\0"
  /*  9754 */ "ProgressEvent" "\0"
  /*  9768 */ "PromiseDebugging" "\0"
  /*  9785 */ "PromiseNativeHandler" "\0"
  /*  9806 */ "PromiseRejectionEvent" "\0"
  /*  9828 */ "PublicKeyCredential" "\0"
  /*  9848 */ "PushEvent" "\0"
  /*  9858 */ "PushManager" "\0"
  /*  9870 */ "PushManagerImpl" "\0"
  /*  9886 */ "PushMessageData" "\0"
  /*  9902 */ "PushSubscription" "\0"
  /*  9919 */ "PushSubscriptionOptions" "\0"
  /*  9943 */ "RadioNodeList" "\0"
  /*  9957 */ "Range" "\0"
  /*  9963 */ "ReadableByteStreamController" "\0"
  /*  9992 */ "ReadableStream" "\0"
  /* 10007 */ "ReadableStreamBYOBReader" "\0"
  /* 10032 */ "ReadableStreamBYOBRequest" "\0"
  /* 10058 */ "ReadableStreamDefaultController" "\0"
  /* 10090 */ "ReadableStreamDefaultReader" "\0"
  /* 10118 */ "Report" "\0"
  /* 10125 */ "ReportBody" "\0"
  /* 10136 */ "ReportingObserver" "\0"
  /* 10154 */ "Request" "\0"
  /* 10162 */ "ResizeObserver" "\0"
  /* 10177 */ "ResizeObserverEntry" "\0"
  /* 10197 */ "ResizeObserverSize" "\0"
  /* 10216 */ "Response" "\0"
  /* 10225 */ "SVGAElement" "\0"
  /* 10237 */ "SVGAngle" "\0"
  /* 10246 */ "SVGAnimateElement" "\0"
  /* 10264 */ "SVGAnimateMotionElement" "\0"
  /* 10288 */ "SVGAnimateTransformElement" "\0"
  /* 10315 */ "SVGAnimatedAngle" "\0"
  /* 10332 */ "SVGAnimatedBoolean" "\0"
  /* 10351 */ "SVGAnimatedEnumeration" "\0"
  /* 10374 */ "SVGAnimatedInteger" "\0"
  /* 10393 */ "SVGAnimatedLength" "\0"
  /* 10411 */ "SVGAnimatedLengthList" "\0"
  /* 10433 */ "SVGAnimatedNumber" "\0"
  /* 10451 */ "SVGAnimatedNumberList" "\0"
  /* 10473 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10504 */ "SVGAnimatedRect" "\0"
  /* 10520 */ "SVGAnimatedString" "\0"
  /* 10538 */ "SVGAnimatedTransformList" "\0"
  /* 10563 */ "SVGAnimationElement" "\0"
  /* 10583 */ "SVGCircleElement" "\0"
  /* 10600 */ "SVGClipPathElement" "\0"
  /* 10619 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10655 */ "SVGDefsElement" "\0"
  /* 10670 */ "SVGDescElement" "\0"
  /* 10685 */ "SVGElement" "\0"
  /* 10696 */ "SVGEllipseElement" "\0"
  /* 10714 */ "SVGFEBlendElement" "\0"
  /* 10732 */ "SVGFEColorMatrixElement" "\0"
  /* 10756 */ "SVGFEComponentTransferElement" "\0"
  /* 10786 */ "SVGFECompositeElement" "\0"
  /* 10808 */ "SVGFEConvolveMatrixElement" "\0"
  /* 10835 */ "SVGFEDiffuseLightingElement" "\0"
  /* 10863 */ "SVGFEDisplacementMapElement" "\0"
  /* 10891 */ "SVGFEDistantLightElement" "\0"
  /* 10916 */ "SVGFEDropShadowElement" "\0"
  /* 10939 */ "SVGFEFloodElement" "\0"
  /* 10957 */ "SVGFEFuncAElement" "\0"
  /* 10975 */ "SVGFEFuncBElement" "\0"
  /* 10993 */ "SVGFEFuncGElement" "\0"
  /* 11011 */ "SVGFEFuncRElement" "\0"
  /* 11029 */ "SVGFEGaussianBlurElement" "\0"
  /* 11054 */ "SVGFEImageElement" "\0"
  /* 11072 */ "SVGFEMergeElement" "\0"
  /* 11090 */ "SVGFEMergeNodeElement" "\0"
  /* 11112 */ "SVGFEMorphologyElement" "\0"
  /* 11135 */ "SVGFEOffsetElement" "\0"
  /* 11154 */ "SVGFEPointLightElement" "\0"
  /* 11177 */ "SVGFESpecularLightingElement" "\0"
  /* 11206 */ "SVGFESpotLightElement" "\0"
  /* 11228 */ "SVGFETileElement" "\0"
  /* 11245 */ "SVGFETurbulenceElement" "\0"
  /* 11268 */ "SVGFilterElement" "\0"
  /* 11285 */ "SVGForeignObjectElement" "\0"
  /* 11309 */ "SVGGElement" "\0"
  /* 11321 */ "SVGGeometryElement" "\0"
  /* 11340 */ "SVGGradientElement" "\0"
  /* 11359 */ "SVGGraphicsElement" "\0"
  /* 11378 */ "SVGImageElement" "\0"
  /* 11394 */ "SVGLength" "\0"
  /* 11404 */ "SVGLengthList" "\0"
  /* 11418 */ "SVGLineElement" "\0"
  /* 11433 */ "SVGLinearGradientElement" "\0"
  /* 11458 */ "SVGMPathElement" "\0"
  /* 11474 */ "SVGMarkerElement" "\0"
  /* 11491 */ "SVGMaskElement" "\0"
  /* 11506 */ "SVGMatrix" "\0"
  /* 11516 */ "SVGMetadataElement" "\0"
  /* 11535 */ "SVGNumber" "\0"
  /* 11545 */ "SVGNumberList" "\0"
  /* 11559 */ "SVGPathElement" "\0"
  /* 11574 */ "SVGPathSeg" "\0"
  /* 11585 */ "SVGPathSegArcAbs" "\0"
  /* 11602 */ "SVGPathSegArcRel" "\0"
  /* 11619 */ "SVGPathSegClosePath" "\0"
  /* 11639 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11665 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11691 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 11723 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 11755 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 11785 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 11815 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 11851 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 11887 */ "SVGPathSegLinetoAbs" "\0"
  /* 11907 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 11937 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 11967 */ "SVGPathSegLinetoRel" "\0"
  /* 11987 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12015 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12043 */ "SVGPathSegList" "\0"
  /* 12058 */ "SVGPathSegMovetoAbs" "\0"
  /* 12078 */ "SVGPathSegMovetoRel" "\0"
  /* 12098 */ "SVGPatternElement" "\0"
  /* 12116 */ "SVGPoint" "\0"
  /* 12125 */ "SVGPointList" "\0"
  /* 12138 */ "SVGPolygonElement" "\0"
  /* 12156 */ "SVGPolylineElement" "\0"
  /* 12175 */ "SVGPreserveAspectRatio" "\0"
  /* 12198 */ "SVGRadialGradientElement" "\0"
  /* 12223 */ "SVGRect" "\0"
  /* 12231 */ "SVGRectElement" "\0"
  /* 12246 */ "SVGSVGElement" "\0"
  /* 12260 */ "SVGScriptElement" "\0"
  /* 12277 */ "SVGSetElement" "\0"
  /* 12291 */ "SVGStopElement" "\0"
  /* 12306 */ "SVGStringList" "\0"
  /* 12320 */ "SVGStyleElement" "\0"
  /* 12336 */ "SVGSwitchElement" "\0"
  /* 12353 */ "SVGSymbolElement" "\0"
  /* 12370 */ "SVGTSpanElement" "\0"
  /* 12386 */ "SVGTextContentElement" "\0"
  /* 12408 */ "SVGTextElement" "\0"
  /* 12423 */ "SVGTextPathElement" "\0"
  /* 12442 */ "SVGTextPositioningElement" "\0"
  /* 12468 */ "SVGTitleElement" "\0"
  /* 12484 */ "SVGTransform" "\0"
  /* 12497 */ "SVGTransformList" "\0"
  /* 12514 */ "SVGUnitTypes" "\0"
  /* 12527 */ "SVGUseElement" "\0"
  /* 12541 */ "SVGViewElement" "\0"
  /* 12556 */ "Sanitizer" "\0"
  /* 12566 */ "Scheduler" "\0"
  /* 12576 */ "Screen" "\0"
  /* 12583 */ "ScreenLuminance" "\0"
  /* 12599 */ "ScreenOrientation" "\0"
  /* 12617 */ "ScriptProcessorNode" "\0"
  /* 12637 */ "ScrollAreaEvent" "\0"
  /* 12653 */ "ScrollViewChangeEvent" "\0"
  /* 12675 */ "SecurityPolicyViolationEvent" "\0"
  /* 12704 */ "Selection" "\0"
  /* 12714 */ "ServiceWorker" "\0"
  /* 12728 */ "ServiceWorkerContainer" "\0"
  /* 12751 */ "ServiceWorkerGlobalScope" "\0"
  /* 12776 */ "ServiceWorkerRegistration" "\0"
  /* 12802 */ "SessionStoreFormData" "\0"
  /* 12823 */ "SessionStoreScrollData" "\0"
  /* 12846 */ "SessionStoreUtils" "\0"
  /* 12864 */ "ShadowRoot" "\0"
  /* 12875 */ "SharedWorker" "\0"
  /* 12888 */ "SharedWorkerGlobalScope" "\0"
  /* 12912 */ "SimpleGestureEvent" "\0"
  /* 12931 */ "SourceBuffer" "\0"
  /* 12944 */ "SourceBufferList" "\0"
  /* 12961 */ "SpeechGrammar" "\0"
  /* 12975 */ "SpeechGrammarList" "\0"
  /* 12993 */ "SpeechRecognition" "\0"
  /* 13011 */ "SpeechRecognitionAlternative" "\0"
  /* 13040 */ "SpeechRecognitionError" "\0"
  /* 13063 */ "SpeechRecognitionEvent" "\0"
  /* 13086 */ "SpeechRecognitionResult" "\0"
  /* 13110 */ "SpeechRecognitionResultList" "\0"
  /* 13138 */ "SpeechSynthesis" "\0"
  /* 13154 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13180 */ "SpeechSynthesisEvent" "\0"
  /* 13201 */ "SpeechSynthesisUtterance" "\0"
  /* 13226 */ "SpeechSynthesisVoice" "\0"
  /* 13247 */ "StaticRange" "\0"
  /* 13259 */ "StereoPannerNode" "\0"
  /* 13276 */ "Storage" "\0"
  /* 13284 */ "StorageEvent" "\0"
  /* 13297 */ "StorageManager" "\0"
  /* 13312 */ "StreamFilter" "\0"
  /* 13325 */ "StreamFilterDataEvent" "\0"
  /* 13347 */ "StructuredCloneHolder" "\0"
  /* 13369 */ "StructuredCloneTester" "\0"
  /* 13391 */ "StyleSheet" "\0"
  /* 13402 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13439 */ "StyleSheetList" "\0"
  /* 13454 */ "SubmitEvent" "\0"
  /* 13466 */ "SubtleCrypto" "\0"
  /* 13479 */ "SyncMessageSender" "\0"
  /* 13497 */ "SyncReadFile" "\0"
  /* 13510 */ "TCPServerSocket" "\0"
  /* 13526 */ "TCPServerSocketEvent" "\0"
  /* 13547 */ "TCPSocket" "\0"
  /* 13557 */ "TCPSocketErrorEvent" "\0"
  /* 13577 */ "TCPSocketEvent" "\0"
  /* 13592 */ "TaskController" "\0"
  /* 13607 */ "TaskPriorityChangeEvent" "\0"
  /* 13631 */ "TaskSignal" "\0"
  /* 13642 */ "TelemetryStopwatch" "\0"
  /* 13661 */ "TestAttributesOnTypes" "\0"
  /* 13683 */ "TestCEReactionsInterface" "\0"
  /* 13708 */ "TestCImplementedInterface" "\0"
  /* 13734 */ "TestCImplementedInterface2" "\0"
  /* 13761 */ "TestChildInterface" "\0"
  /* 13780 */ "TestConstructorForFuncInterface" "\0"
  /* 13812 */ "TestConstructorForPrefInterface" "\0"
  /* 13844 */ "TestConstructorForSCInterface" "\0"
  /* 13874 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 13910 */ "TestDeprecatedInterface" "\0"
  /* 13934 */ "TestExampleInterface" "\0"
  /* 13955 */ "TestExampleProxyInterface" "\0"
  /* 13981 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14021 */ "TestExampleWorkerInterface" "\0"
  /* 14048 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14093 */ "TestFuncConstructorForInterface" "\0"
  /* 14125 */ "TestHTMLConstructorInterface" "\0"
  /* 14154 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 14198 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 14233 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 14268 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 14318 */ "TestIndexedGetterInterface" "\0"
  /* 14345 */ "TestIndexedSetterInterface" "\0"
  /* 14372 */ "TestInterface" "\0"
  /* 14386 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 14425 */ "TestJSImplInterface" "\0"
  /* 14445 */ "TestJSImplInterface2" "\0"
  /* 14466 */ "TestJSImplInterface3" "\0"
  /* 14487 */ "TestJSImplInterface4" "\0"
  /* 14508 */ "TestJSImplInterface5" "\0"
  /* 14529 */ "TestJSImplInterface6" "\0"
  /* 14550 */ "TestJSImplNoInterfaceObject" "\0"
  /* 14578 */ "TestNamedDeleterInterface" "\0"
  /* 14604 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 14640 */ "TestNamedGetterInterface" "\0"
  /* 14665 */ "TestNamedSetterInterface" "\0"
  /* 14690 */ "TestNamespace" "\0"
  /* 14704 */ "TestNonWrapperCacheInterface" "\0"
  /* 14733 */ "TestParentInterface" "\0"
  /* 14753 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 14801 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 14846 */ "TestPrefConstructorForInterface" "\0"
  /* 14878 */ "TestProtoObjectHackedNamespace" "\0"
  /* 14909 */ "TestRenamedInterface" "\0"
  /* 14930 */ "TestRenamedNamespace" "\0"
  /* 14951 */ "TestSCConstructorForInterface" "\0"
  /* 14981 */ "TestSecureContextInterface" "\0"
  /* 15008 */ "TestThrowingConstructorInterface" "\0"
  /* 15041 */ "TestUtils" "\0"
  /* 15051 */ "TestWorkerExposedInterface" "\0"
  /* 15078 */ "TestingDeprecatedInterface" "\0"
  /* 15105 */ "Text" "\0"
  /* 15110 */ "TextClause" "\0"
  /* 15121 */ "TextDecoder" "\0"
  /* 15133 */ "TextEncoder" "\0"
  /* 15145 */ "TextMetrics" "\0"
  /* 15157 */ "TextTrack" "\0"
  /* 15167 */ "TextTrackCue" "\0"
  /* 15180 */ "TextTrackCueList" "\0"
  /* 15197 */ "TextTrackList" "\0"
  /* 15211 */ "TimeEvent" "\0"
  /* 15221 */ "TimeRanges" "\0"
  /* 15232 */ "Touch" "\0"
  /* 15238 */ "TouchEvent" "\0"
  /* 15249 */ "TouchList" "\0"
  /* 15259 */ "TrackEvent" "\0"
  /* 15270 */ "TransformStream" "\0"
  /* 15286 */ "TransformStreamDefaultController" "\0"
  /* 15319 */ "TransitionEvent" "\0"
  /* 15335 */ "TreeColumn" "\0"
  /* 15346 */ "TreeColumns" "\0"
  /* 15358 */ "TreeContentView" "\0"
  /* 15374 */ "TreeWalker" "\0"
  /* 15385 */ "U2F" "\0"
  /* 15389 */ "UDPMessageEvent" "\0"
  /* 15405 */ "UDPSocket" "\0"
  /* 15415 */ "UIEvent" "\0"
  /* 15423 */ "URL" "\0"
  /* 15427 */ "URLSearchParams" "\0"
  /* 15443 */ "URLSearchParams Iterator" "\0"
  /* 15468 */ "UserInteraction" "\0"
  /* 15484 */ "UserProximityEvent" "\0"
  /* 15503 */ "VRDisplay" "\0"
  /* 15513 */ "VRDisplayCapabilities" "\0"
  /* 15535 */ "VRDisplayEvent" "\0"
  /* 15550 */ "VREyeParameters" "\0"
  /* 15566 */ "VRFieldOfView" "\0"
  /* 15580 */ "VRFrameData" "\0"
  /* 15592 */ "VRMockController" "\0"
  /* 15609 */ "VRMockDisplay" "\0"
  /* 15623 */ "VRPose" "\0"
  /* 15630 */ "VRServiceTest" "\0"
  /* 15644 */ "VRStageParameters" "\0"
  /* 15662 */ "VTTCue" "\0"
  /* 15669 */ "VTTRegion" "\0"
  /* 15679 */ "ValidityState" "\0"
  /* 15693 */ "VideoPlaybackQuality" "\0"
  /* 15714 */ "VideoTrack" "\0"
  /* 15725 */ "VideoTrackList" "\0"
  /* 15740 */ "VisualViewport" "\0"
  /* 15755 */ "WEBGL_color_buffer_float" "\0"
  /* 15780 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15810 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15839 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15869 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15900 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15930 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15965 */ "WEBGL_debug_renderer_info" "\0"
  /* 15991 */ "WEBGL_debug_shaders" "\0"
  /* 16011 */ "WEBGL_depth_texture" "\0"
  /* 16031 */ "WEBGL_draw_buffers" "\0"
  /* 16050 */ "WEBGL_explicit_present" "\0"
  /* 16073 */ "WEBGL_lose_context" "\0"
  /* 16092 */ "WaveShaperNode" "\0"
  /* 16107 */ "WebExtensionContentScript" "\0"
  /* 16133 */ "WebExtensionPolicy" "\0"
  /* 16152 */ "WebGL2RenderingContext" "\0"
  /* 16175 */ "WebGLActiveInfo" "\0"
  /* 16191 */ "WebGLBuffer" "\0"
  /* 16203 */ "WebGLContextEvent" "\0"
  /* 16221 */ "WebGLFramebuffer" "\0"
  /* 16238 */ "WebGLProgram" "\0"
  /* 16251 */ "WebGLQuery" "\0"
  /* 16262 */ "WebGLRenderbuffer" "\0"
  /* 16280 */ "WebGLRenderingContext" "\0"
  /* 16302 */ "WebGLSampler" "\0"
  /* 16315 */ "WebGLShader" "\0"
  /* 16327 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16354 */ "WebGLSync" "\0"
  /* 16364 */ "WebGLTexture" "\0"
  /* 16377 */ "WebGLTransformFeedback" "\0"
  /* 16400 */ "WebGLUniformLocation" "\0"
  /* 16421 */ "WebGLVertexArrayObject" "\0"
  /* 16444 */ "WebKitCSSMatrix" "\0"
  /* 16460 */ "WebSocket" "\0"
  /* 16470 */ "WheelEvent" "\0"
  /* 16481 */ "Window" "\0"
  /* 16488 */ "WindowClient" "\0"
  /* 16501 */ "WindowContext" "\0"
  /* 16515 */ "WindowGlobalChild" "\0"
  /* 16533 */ "WindowGlobalParent" "\0"
  /* 16552 */ "WindowRoot" "\0"
  /* 16563 */ "Worker" "\0"
  /* 16570 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16596 */ "WorkerGlobalScope" "\0"
  /* 16614 */ "WorkerLocation" "\0"
  /* 16629 */ "WorkerNavigator" "\0"
  /* 16645 */ "WorkerTestUtils" "\0"
  /* 16661 */ "Worklet" "\0"
  /* 16669 */ "WorkletGlobalScope" "\0"
  /* 16688 */ "WritableStream" "\0"
  /* 16703 */ "WritableStreamDefaultController" "\0"
  /* 16735 */ "WritableStreamDefaultWriter" "\0"
  /* 16763 */ "XMLDocument" "\0"
  /* 16775 */ "XMLHttpRequest" "\0"
  /* 16790 */ "XMLHttpRequestEventTarget" "\0"
  /* 16816 */ "XMLHttpRequestUpload" "\0"
  /* 16837 */ "XMLSerializer" "\0"
  /* 16851 */ "XPathEvaluator" "\0"
  /* 16866 */ "XPathExpression" "\0"
  /* 16882 */ "XPathResult" "\0"
  /* 16894 */ "XRBoundedReferenceSpace" "\0"
  /* 16918 */ "XRFrame" "\0"
  /* 16926 */ "XRInputSource" "\0"
  /* 16940 */ "XRInputSourceArray" "\0"
  /* 16959 */ "XRInputSourceEvent" "\0"
  /* 16978 */ "XRInputSourcesChangeEvent" "\0"
  /* 17004 */ "XRPose" "\0"
  /* 17011 */ "XRReferenceSpace" "\0"
  /* 17028 */ "XRReferenceSpaceEvent" "\0"
  /* 17050 */ "XRRenderState" "\0"
  /* 17064 */ "XRRigidTransform" "\0"
  /* 17081 */ "XRSession" "\0"
  /* 17091 */ "XRSessionEvent" "\0"
  /* 17106 */ "XRSpace" "\0"
  /* 17114 */ "XRSystem" "\0"
  /* 17123 */ "XRView" "\0"
  /* 17130 */ "XRViewerPose" "\0"
  /* 17143 */ "XRViewport" "\0"
  /* 17154 */ "XRWebGLLayer" "\0"
  /* 17167 */ "XSLTProcessor" "\0"
  /* 17181 */ "XULCommandEvent" "\0"
  /* 17197 */ "XULElement" "\0"
  /* 17208 */ "XULFrameElement" "\0"
  /* 17224 */ "XULMenuElement" "\0"
  /* 17239 */ "XULPopupElement" "\0"
  /* 17255 */ "XULTextElement" "\0"
  /* 17270 */ "XULTreeElement" "\0"
  /* 17285 */ "console" "\0"
  /* 17293 */ "webkitSpeechGrammar" "\0"
  /* 17313 */ "webkitSpeechGrammarList" "\0"
  /* 17337 */ "webkitSpeechRecognition" "\0"
  /* 17361 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

